#3904 closed enhancement (fixed)

Add methods to dump the event records in base64 encoding (optionally zlib compressed)

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This helps to get the event records easily via a serial line in case of a crash.

Change History (19)

comment:1 Changed on Mar 13, 2020 at 11:36:12 AM by Sebastian Huber

Summary: Add methods to dump the event records in base64 encoding (optinally compressed)Add methods to dump the event records in base64 encoding (optionally zlib compressed)

comment:2 Changed on Mar 18, 2020 at 6:50:00 AM by Sebastian Huber <sebastian.huber@…>

In a6b36334/rtems:

score: Add _IO_Base64()

Update #3904.

comment:3 Changed on Mar 18, 2020 at 6:50:04 AM by Sebastian Huber <sebastian.huber@…>

In c584d4e/rtems:

rtems: Add rtems_put_char()

Update #3904.

comment:4 Changed on Mar 18, 2020 at 6:50:07 AM by Sebastian Huber <sebastian.huber@…>

In ab42b3e/rtems:

record: Add rtems_record_dump()

Add rtems_record_dump_base64() and rtems_record_dump_base64_zlib().

Add CONFIGURE_RECORD_FATAL_DUMP_BASE64 and
CONFIGURE_RECORD_FATAL_DUMP_BASE64_ZLIB configuration options.

Update #3904.

comment:5 Changed on Mar 19, 2020 at 6:38:45 AM by Sebastian Huber <sebastian.huber@…>

In 14f0957/rtems-tools:

record: Fix format

Update #3904.

comment:6 Changed on Mar 19, 2020 at 6:38:47 AM by Sebastian Huber <sebastian.huber@…>

In 4aa0d5f/rtems-tools:

record: Guard config.h include

Update #3904.

comment:7 Changed on Mar 19, 2020 at 6:38:50 AM by Sebastian Huber <sebastian.huber@…>

In 8db5ce1/rtems-tools:

record: Format file header

Update #3904.

comment:8 Changed on Mar 19, 2020 at 6:38:52 AM by Sebastian Huber <sebastian.huber@…>

In b60abbf/rtems-tools:

record: Add INI file parser

Import from:

https://github.com/benhoyt/inih

commit 351217124ddb3e3fe2b982248a04c672350bb0af
Author: Stephan Lachnit <stephanlachnit@…>
Date: Sun Mar 1 07:31:28 2020 +0100

r48 release (#100)

  • Bump copyright to 2020
  • Remove makefile for static library
  • meson: version 48

Signed-off-by: Stephan Lachnit <stephanlachnit@…>

Update #3904.

comment:9 Changed on Mar 19, 2020 at 6:38:55 AM by Sebastian Huber <sebastian.huber@…>

In b066705/rtems-tools:

record: Add option to print config default values

Update #3904.

comment:10 Changed on Mar 19, 2020 at 6:38:57 AM by Sebastian Huber <sebastian.huber@…>

In bfc8f2d/rtems-tools:

record: Add filter base class

Update #3904.

comment:11 Changed on Mar 19, 2020 at 6:38:59 AM by Sebastian Huber <sebastian.huber@…>

In 5bc9f73/rtems-tools:

record: Add base64 filter class

Update #3904.

comment:12 Changed on Mar 19, 2020 at 6:39:02 AM by Sebastian Huber <sebastian.huber@…>

In d964171/rtems-tools:

record: Add support for base64 encoded input

Update #3904.

comment:13 Changed on Mar 19, 2020 at 6:39:04 AM by Sebastian Huber <sebastian.huber@…>

In 5fa2c3b/rtems-tools:

record: Add zlib filter class

Update #3904.

comment:14 Changed on Mar 19, 2020 at 6:39:06 AM by Sebastian Huber <sebastian.huber@…>

In 390522a/rtems-tools:

record: Add support for zlib compressed input

Update #3904.

comment:15 Changed on Mar 19, 2020 at 6:39:08 AM by Sebastian Huber <sebastian.huber@…>

In 16eff9b/rtems-tools:

record: Increase input buffer and alignment

Update #3904.

comment:16 Changed on Mar 23, 2020 at 6:06:22 AM by Sebastian Huber <sebastian.huber@…>

In 68f90be/rtems-source-builder:

5: Update rtems-tools

Pick up new features for rtems-record-lttng.

Update #3904.

comment:17 Changed on Mar 23, 2020 at 6:41:33 AM by Sebastian Huber <sebastian.huber@…>

In 3fd4889/rtems:

conf: Improve evaluation of event recording opts

Check for configuration errors earlier. Allow fatal dumps without the
other extensions. Add some warnings.

Update #3904.

comment:18 Changed on Mar 24, 2020 at 6:50:59 AM by Sebastian Huber <sebastian.huber@…>

In 62d58f2/rtems-docs:

c-user: Document new event record config options

Update #3904.

comment:19 Changed on Apr 12, 2020 at 4:05:15 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In ea4c098/rtems-docs:

user: Document event recording

Close #3904.

Note: See TracTickets for help on using tickets.